Ahsen01DMSOCorrection
Date: 2014-08-08

melting.otherCorrections.dmsoCorrections

## Class Ahsen01DMSOCorrection

- java.lang.Object
- - melting.correctionMethods.DNADMSOCorrections
  - - melting.otherCorrections.dmsoCorrections.Ahsen01DMSOCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class Ahsen01DMSOCorrection
      extends DNADMSOCorrections
      implements NamedMethod

  This class represents the DMSO correction model ahs01. It extends DNADMSOCorrections. Nicolas Von Ahsen, Carl T Wittwer and Ekkehard Schutz, "Oligonucleotide melting temperatures under PCR conditions : deoxynucleotide Triphosphate and Dimethyl sulfoxide concentrations with comparison to alternative empirical formulas", 2001, Clinical Chemistry, 47, 1956-1961.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ahsen01DMSOCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `java.lang.String` | `getName()` Gets the full name of the method.

    - ### Methods inherited from class melting.correctionMethods.DNADMSOCorrections

      `correctMeltingResult, isApplicable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ahsen01DMSOCorrection

          public Ahsen01DMSOCorrection()

  - ### Method Detail

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.